Kerbal Space Program - Bug #255

Oversized vehicle name in vehicle name textbox in VAB or SPH causes minor graphical glitch in a Ul
element

02/15/2013 11:34 AM - Kalpa

Status: Closed Start date: 02/15/2013
Severity: Unworthy % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.18.4 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

If you write a vehicle name too long to fit in the 'vehicle name' Ul element textbox in VAB or SPH, the text offset goes wrong until you
delete most or all of the name and retype it.

Reproduction steps: Start creating a vehicle in either VAB or SPH, type a long name with lots of wide letters, and boom (try a full
sequence of capital Es, for example; bug doesn't happen with full sequence of Is due to adequate space in the ui element)

Appears on clean .18.4 install, running on Windows, seems to be window-size independent. Provided are two screenshots attached
to the bug report.

Another link to a screenshot, in case the internal attachment system does not work for one reason or another:
http://i.imgur.com/FI4Tc7x.jpg

History

#1 - 03/08/2013 12:01 PM - SinPistones
- File VABtextoffset.png added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Easily reproduced in a fresh .18.4 folder running the game in 1920x1080 fullscreen.
I've attached a single screenshot from the VAB.

Also, marking as confirmed.

#2 - 10/25/2013 05:08 PM - sr

- Severity changed from Petty to Unworthy

- Version set to 0.18.4

- Platform Windows added

| can no longer replicate this behavior with 0.22. Could you please check to see if it is still an issue for you?

#3 - 11/02/2013 12:32 PM - Kalpa

No longer an issue here either. Seems to have faded away in one of the more recent patches (I'd put my money on .21)

Please close the bug if you are able to (I'm not certain, but don't think | can do that - unless changing status to 'not a bug' would be the Thing to Do,
but don't think so either :)

#4 - 11/19/2013 12:35 PM - sr
- Status changed from Confirmed to Closed

- % Done changed from 10 to 100
http://i.imgur.com/FI4Tc7x.jpg

Closing as requested :)

Files

screenshot0.png 1.13 MB 02/15/2013 Kalpa
screenshot3.png 1.9 MB 02/15/2013 Kalpa
VABtextoffset.png 1.58 MB 03/08/2013 SinPistones
